Package com.saxonica.functions.extfn.EXPathArchive

## Class Entry

- java.lang.Object
- - com.saxonica.functions.extfn.EXPathArchive.Entry

-     public class Entry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Archive.CompressionType` | `compression` |
    `Base64BinaryValue` | `content` |
    `java.lang.String` | `encoding` |
    `java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Entry()` |
    `Entry​(Entry e)` |
    `Entry​(Entry e, java.lang.String name)` |
    `Entry​(Entry e, Base64BinaryValue content)` |
    `Entry​(java.lang.String name)` |
    `Entry​(java.lang.String name, Base64BinaryValue content)` |
    `Entry​(Base64BinaryValue content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `boolean` | `isDir()` |
    `HashTrieMap` | `makeMap​(XPathContext context)` |
    `void` | `setCompression​(Archive.CompressionType compression)` |
    `void` | `setEncoding​(java.lang.String encoding)` |
    `void` | `setEntry​(Base64BinaryValue content)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          public Base64BinaryValue content

    - #### name

          public java.lang.String name

    - #### encoding

          public java.lang.String encoding

    - #### compression

          public Archive.CompressionType compression

  - ### Constructor Detail

    - #### Entry

          public Entry()

    - #### Entry

          public Entry​(java.lang.String name,
                       Base64BinaryValue content)

    - #### Entry

          public Entry​(Base64BinaryValue content)

    - #### Entry

          public Entry​(java.lang.String name)

    - #### Entry

          public Entry​(Entry e)

    - #### Entry

          public Entry​(Entry e,
                       Base64BinaryValue content)

    - #### Entry

          public Entry​(Entry e,
                       java.lang.String name)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setEntry

          public void setEntry​(Base64BinaryValue content)

    - #### setEncoding

          public void setEncoding​(java.lang.String encoding)

    - #### setCompression

          public void setCompression​(Archive.CompressionType compression)

    - #### isDir

          public boolean isDir()

    - #### makeMap

          public HashTrieMap makeMap​(XPathContext context)
                              throws XPathException

      Throws:
        `XPathException`